﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSP (1 yr) Frequency Response Test /LPNX
DATE:                  2011-06-30
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       80
CONFIGURATION:         Fluke 9640A-LPNX
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSP series
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        Sub Compute Mismatch Uncertainty (%)
#        Sub FSP Take Sweep (MKPK)
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         Freq = @TestFreq

  1.002  IF           ISVAR("@B25_On")
  1.003  TOL          1.000U

  1.004  ELSE

  1.005  IF           (BASE(@TestFreq) < 50E+3)
  1.006  TOL          +0.500U -1.000U
  1.007  ELSE
  1.008  TOL          0.500U
  1.009  ENDIF

  1.010  ENDIF

  1.011  HEAD         -2 Frequency: [V Freq], [V @AttenType]: [V @Atten] dB
  1.012  TSET         TDESC = [V @TestFreq]
  1.013  MATH         DevName = "Fluke 9640A-LPNX"; AccMode = "Level 50"
  1.014  MATH         Conf = CONF(DevName)
  1.015  MATH         Level = @9640Lvl; Freq = BASE(@TestFreq)
  1.016  LPNX         ExtRefFrequency = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  1.016  LPNX         +Level = [V Level] dBm; Freq = [V Freq] Hz
  1.017  MATH         L[1] = DBTOPCTW_D(ACCV2(DevName, AccMode, Level, Freq))
  1.018  MATH         @SourceErr = L[1] / Conf
  1.019  MATH         @SourceSWR = ACCFF("lpnx.acc", "VSWR 50", Freq)
  1.020  CALL         Sub Compute Mismatch Uncertainty (%)
  1.021  MATH         L[2] = PCTTODBW_D(RSS2(@SourceErr, @MismatchUncPct) * 2)
  1.022  ACC          0.000dB        L2U                                   +DW
  1.023  SCPI         FREQ:CENT [V @TestFreq]
  1.024  TARGET       -m
  1.025  CALL         Sub FSP Take Sweep (MKPK)
  1.026  SCPI         CALC:MARK:Y?[I]
  1.027  MATH         MEM = MEM - @RefLvl
  1.028  MEMCX        0.000dB        TOL

  2.001  IF           (BASE(@TestFreq) > 100E+6)
  2.002  LPNX         Reset
  2.003  ENDIF

  2.004  END
