﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSP (1 yr) IF Image Rejection VER /SWPG
DATE:                  2011-06-17
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       18
NUMBER OF LINES:       329
CONFIGURATION:         Sweep Generator
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSP series
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        Sub Initialize /SWPG
#        Sub Reset /SWPG
#        Sub FSP IF Image/Rejection Test /4418,SWPG
#        Sub FSP Take Sweep (MKPK)
#
#  Required Files:
#        fsp_freq_resp_hookup_swpg.jpg
#
#  Additional Equipment Required:
#        None
#
#  Test points were taken from R&S Calibration Certificate.
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@SWPG]
  1.003  ENDIF

# Except for the FSP3, the UUT remains connected to the SWPG via a power
# splitter and power meter and sensor from a previous test. In the case of the
# FSP3, the operator is prompted to connect the SWPG via the splitter to the
# UUT.

  1.004  RSLT         =
  1.005  HEAD         {IF IMAGE FREQUENCY REJECTION}
  1.006  RSLT         =
  1.007  RSLT         =1st IF Frequency
  1.008  TARGET       -p

  1.009  IF           (@UUT_MaxFreq < 7E+9)
  1.010  PIC          fsp_freq_resp_hookup_swpg.jpg

  1.011  DISP         Ensure the UUT REF OUT (rear) is connected to the
  1.011  DISP         [V @SWPG_DevName] [V @SWPG_RefIn].

  1.012  DISP         The next routine operator intervention
  1.012  DISP         occurs in approximately 5 minutes...
  1.013  ENDIF

  1.014  HEAD         -2 Center Frequency: 11 MHz
  1.015  MATH         @Error = 0
  1.016  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.017  SCPI         INP:ATT 0dB;:DISP:WIND:TRAC:Y:RLEV -30;SPAC LOG
  1.017  SCPI         DISP:WIND:TRAC:Y 100 dB
  1.018  SCPI         FREQ:CENT 11E+6;SPAN 100E+3;:BAND:RES 3E+3
  1.019  SCPI         CALC:MARK:STAT ON
# Parameters associated with mismatch and tracking uncertainty:
  1.020  MATH         @DevName1       = "Agilent E4418B"
  1.021  MATH         @SensorAccMode  = "Watts 100mW F64"
  1.022  MATH         @SensorSWR_Mode = "SWR 8481A"
  1.023  MATH         @DevName2       = "Agilent 11667A"
  1.024  MATH         @SpltrSWR_Mode  = "Output SWR"
  1.025  MATH         @SpltrTrackMode = "Tracking"

  1.026  IF           (@UUT_MaxFreq < 7E+9)
  1.027  MATH         @UUT_SWR = 1.5
  1.028  ELSEIF       (@UUT_MaxFreq < 13E+9)
  1.029  MATH         @UUT_SWR = 2.0
  1.030  ELSEIF       (@UUT_MaxFreq < 30E+9)
  1.031  MATH         @UUT_SWR = 2.5
  1.032  ELSE
  1.033  MATH         @UUT_SWR = 3.0
  1.034  ENDIF

# Parameters associated with UUT level uncertainty (normalized):
#   Absolute Level Uncertainty at 128 MHz (dB):
  1.035  MATH         @AbsLevUnc = DBTOPCTW_D(0.2) / 3
#   Frequency Response (dB):
  1.036  MATH         @FreqResp  = DBTOPCTW_D(0.3) / 3
#   Input Attenuator Switching (dB):
  1.037  MATH         @InpAttSw  = DBTOPCTW_D(0.2) / 3
#   Display Linearity (dB):
  1.038  MATH         @DispLin   = DBTOPCTW_D(0.3) / 3
#   Bandwidth Switching Error (dB):
  1.039  MATH         @BandSwErr = DBTOPCTW_D(0.1) / 3
#   Resolution Bandwidth Error (%):
  1.040  MATH         @RBW_Error   = (3) / 3

  1.041  TSET         TDESC = 11 MHz
# Set SWPG output to (test) frequency + 6952.8 MHz.
  1.042  MATH         @SWPG_Freq  = "6963.8MHz"
# 8481A Cal Factor Uncertainty from Agilent (normalized).
  1.043  MATH         @CalFactUnc = 0.91 / 2
  1.044  CALL         Sub FSP IF Image/Rejection Test /4418,SWPG
  1.045  TARGET       -m
  1.046  CALL         Sub FSP Take Sweep (MKPK)
  1.047  SCPI         CALC:MARK:Y?[I]
  1.048  ACC    -130  dB             M1U
  1.049  MEMCX  -130  -70.0dB        -60.0U

  2.001  HEAD         -2 Center Frequency: 101 MHz
  2.002  TSET         TDESC = 101 MHz
  2.003  MATH         @SWPG_Freq = "7053.8MHz"
  2.004  CALL         Sub FSP IF Image/Rejection Test /4418,SWPG
  2.005  TARGET       -m
  2.006  CALL         Sub FSP Take Sweep (MKPK)
  2.007  SCPI         CALC:MARK:Y?[I]
  2.008  ACC    -130  dB             M1U
  2.009  MEMCX  -130  -70.0dB        -60.0U

  3.001  HEAD         -2 Center Frequency: 1701 MHz
  3.002  TSET         TDESC = 1701 MHz
  3.003  MATH         @SWPG_Freq = "8653.8MHz"
  3.004  CALL         Sub FSP IF Image/Rejection Test /4418,SWPG
  3.005  TARGET       -m
  3.006  CALL         Sub FSP Take Sweep (MKPK)
  3.007  SCPI         CALC:MARK:Y?[I]
  3.008  ACC    -130  dB             M1U
  3.009  MEMCX  -130  -70.0dB        -60.0U

  4.001  HEAD         -2 Center Frequency: 2999 MHz
  4.002  TSET         TDESC = 2999 MHz
  4.003  MATH         @SWPG_Freq = "9951.8MHz"
  4.004  CALL         Sub FSP IF Image/Rejection Test /4418,SWPG
  4.005  TARGET       -m
  4.006  CALL         Sub FSP Take Sweep (MKPK)
  4.007  SCPI         CALC:MARK:Y?[I]
  4.008  ACC    -130  dB             M1U
  4.009  MEMCX  -130  -70.0dB        -60.0U

  5.001  RSLT         =
  5.002  RSLT         =2nd IF Frequency

  5.003  HEAD         -2 Center Frequency: 101 MHz
  5.004  TARGET       -p
  5.005  TSET         TDESC = 101 MHz
# Set SWPG output to (test) frequency + 808.8 MHz.
  5.006  MATH         @SWPG_Freq  = "909.8MHz"
  5.007  MATH         @CalFactUnc = 1.4 / 2
  5.008  CALL         Sub FSP IF Image/Rejection Test /4418,SWPG
  5.009  TARGET       -m
  5.010  CALL         Sub FSP Take Sweep (MKPK)
  5.011  SCPI         CALC:MARK:Y?[I]
  5.012  ACC    -130  dB             M1U
  5.013  MEMCX  -130  -70.0dB        -60.0U

  6.001  JMPL         2ND_IF_IMAGE_END             (@UUT_MaxFreq <= 3E+9)

  6.002  HEAD         -2 Center Frequency: 3100 MHz
  6.003  TSET         TDESC = 3100 MHz
  6.004  MATH         @SWPG_Freq  = "3908.8MHz"
  6.005  MATH         @CalFactUnc = 1.7 / 2
  6.006  MATH         @FreqResp   = DBTOPCTW_D(1.5) / 3
  6.007  CALL         Sub FSP IF Image/Rejection Test /4418,SWPG
  6.008  TARGET       -m
  6.009  CALL         Sub FSP Take Sweep (MKPK)
  6.010  SCPI         CALC:MARK:Y?[I]
  6.011  ACC    -130  dB             M1U
  6.012  MEMCX  -130  -70.0dB        -60.0U

  7.001  HEAD         -2 Center Frequency: 5000 MHz
  7.002  TSET         TDESC = 5000 MHz
  7.003  MATH         @SWPG_Freq  = "5808.8MHz"
  7.004  CALL         Sub FSP IF Image/Rejection Test /4418,SWPG
  7.005  TARGET       -m
  7.006  CALL         Sub FSP Take Sweep (MKPK)
  7.007  SCPI         CALC:MARK:Y?[I]
  7.008  ACC    -130  dB             M1U
  7.009  MEMCX  -130  -70.0dB        -60.0U

  8.001  HEAD         -2 Center Frequency: 6999 MHz
  8.002  TSET         TDESC = 6999 MHz
  8.003  MATH         @SWPG_Freq = "7807.8MHz"
  8.004  CALL         Sub FSP IF Image/Rejection Test /4418,SWPG
  8.005  TARGET       -m
  8.006  CALL         Sub FSP Take Sweep (MKPK)
  8.007  SCPI         CALC:MARK:Y?[I]
  8.008  ACC    -130  dB             M1U
  8.009  MEMCX  -130  -70.0dB        -60.0U

  9.001  JMPL         2ND_IF_IMAGE_END             (@UUT_MaxFreq <= 7E+9)

  9.002  HEAD         -2 Center Frequency: 10100 MHz
  9.003  TSET         TDESC = 10100 MHz
  9.004  MATH         @SWPG_Freq  = "10908.8MHz"
  9.005  MATH         @FreqResp   = DBTOPCTW_D(2.5) / 3
  9.006  MATH         @UUT_SWR    = 2.0
  9.007  MATH         @CalFactUnc = 2.6 / 2
  9.008  CALL         Sub FSP IF Image/Rejection Test /4418,SWPG
  9.009  TARGET       -m
  9.010  CALL         Sub FSP Take Sweep (MKPK)
  9.011  SCPI         CALC:MARK:Y?[I]
  9.012  ACC    -130  dB             M1U
  9.013  MEMCX  -130  -70.0dB        -60.0U

 10.001  HEAD         -2 Center Frequency: 13100 MHz
 10.002  TSET         TDESC = 13100 MHz
 10.003  MATH         @SWPG_Freq = "13908.2MHz"
 10.004  CALL         Sub FSP IF Image/Rejection Test /4418,SWPG
 10.005  TARGET       -m
 10.006  CALL         Sub FSP Take Sweep (MKPK)
 10.007  SCPI         CALC:MARK:Y?[I]
 10.008  ACC    -130  dB             M1U
 10.009  MEMCX  -130  -70.0dB        -60.0U

 11.001  LABEL        2ND_IF_IMAGE_END

 11.002  RSLT         =
 11.003  RSLT         =3rd IF Frequency
 11.004  TARGET       -p
 11.005  HEAD         -2 Center Frequency: 100 MHz
 11.006  TSET         TDESC = 100 MHz
# Set SWPG output to (test) frequency + 40.8 MHz.
 11.007  MATH         @SWPG_Freq  = "140.8MHz"
 11.008  MATH         @UUT_SWR    = 1.5
 11.009  MATH         @CalFactUnc = 1.4 / 2
 11.010  MATH         @FreqResp  = DBTOPCTW_D(0.3) / 3
 11.011  CALL         Sub FSP IF Image/Rejection Test /4418,SWPG
 11.012  TARGET       -m
 11.013  CALL         Sub FSP Take Sweep (MKPK)
 11.014  SCPI         CALC:MARK:Y?[I]
 11.015  ACC    -130  dB             M1U
 11.016  MEMCX  -130  -70.0dB        -60.0U

 12.001  HEAD         -2 Center Frequency: 3100 MHz
 12.002  TSET         TDESC = 3100 MHz
 12.003  MATH         @SWPG_Freq = "3140.8MHz"
 12.004  CALL         Sub FSP IF Image/Rejection Test /4418,SWPG
 12.005  TARGET       -m
 12.006  CALL         Sub FSP Take Sweep (MKPK)
 12.007  SCPI         CALC:MARK:Y?[I]
 12.008  ACC    -130  dB             M1U
 12.009  MEMCX  -130  -70.0dB        -60.0U

 13.001  HEAD         -2
 13.002  CALL         Sub Initialize /SWPG
 13.003  CALL         Sub Reset /SWPG
 13.004  SCPI         SYST:PRES
 13.005  HEAD

 13.006  RSLT         =
 13.007  HEAD         {IF REJECTION}
 13.008  RSLT         =
 13.009  RSLT         =1st IF Frequency
 13.010  TARGET       -p

 13.011  HEAD         -2 Center Frequency: 11 MHz
 13.012  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
 13.013  SCPI         INP:ATT 0dB;:DISP:WIND:TRAC:Y:RLEV -30;SPAC LOG
 13.014  SCPI         DISP:WIND:TRAC:Y 100 dB
 13.015  SCPI         FREQ:CENT 11E+6;SPAN 100E+3;:BAND:RES 3E+3
 13.016  SCPI         CALC:MARK:STAT ON

 13.017  TSET         TDESC = 11 MHz
 13.018  MATH         @SWPG_Freq  = "3476.4MHz"
 13.019  MATH         @CalFactUnc = 0.91 / 2
 13.020  CALL         Sub FSP IF Image/Rejection Test /4418,SWPG
 13.021  TARGET       -m
 13.022  CALL         Sub FSP Take Sweep (MKPK)
 13.023  SCPI         CALC:MARK:Y?[I]
 13.024  ACC    -130  dB             M1U
 13.025  MEMCX  -130  -70.0dB        -60.0U

 14.001  HEAD         -2 Center Frequency: 100 MHz
 14.002  TSET         TDESC = 100 MHz
 14.003  CALL         Sub FSP IF Image/Rejection Test /4418,SWPG
 14.004  TARGET       -m
 14.005  CALL         Sub FSP Take Sweep (MKPK)
 14.006  SCPI         CALC:MARK:Y?[I]
 14.007  ACC    -130  dB             M1U
 14.008  MEMCX  -130  -70.0dB        -60.0U

 15.001  HEAD         -2 Center Frequency: 1701 MHz
 15.002  TSET         TDESC = 1701 MHz
 15.003  CALL         Sub FSP IF Image/Rejection Test /4418,SWPG
 15.004  TARGET       -m
 15.005  CALL         Sub FSP Take Sweep (MKPK)
 15.006  SCPI         CALC:MARK:Y?[I]
 15.007  ACC    -130  dB             M1U
 15.008  MEMCX  -130  -70.0dB        -60.0U

 16.001  HEAD         -2 Center Frequency: 2990 MHz
 16.002  TSET         TDESC = 2990 MHz
 16.003  CALL         Sub FSP IF Image/Rejection Test /4418,SWPG
 16.004  TARGET       -m
 16.005  CALL         Sub FSP Take Sweep (MKPK)
 16.006  SCPI         CALC:MARK:Y?[I]
 16.007  ACC    -130  dB             M1U
 16.008  MEMCX  -130  -70.0dB        -60.0U

 17.001  RSLT         =
 17.002  RSLT         =2nd IF Frequency
 17.003  TARGET       -p
 17.004  HEAD         -2 Center Frequency: 100 MHz
 17.005  TSET         TDESC = 100 MHz
 17.006  MATH         @SWPG_Freq  = "404.4MHz"
 17.007  MATH         @CalFactUnc = 0.77 / 2
 17.008  CALL         Sub FSP IF Image/Rejection Test /4418,SWPG
 17.009  TARGET       -m
 17.010  CALL         Sub FSP Take Sweep (MKPK)
 17.011  SCPI         CALC:MARK:Y?[I]
 17.012  ACC    -130  dB             M1U
 17.013  MEMCX  -130  -70.0dB        -60.0U

 18.001  HEAD         -2
 18.002  CALL         Sub Initialize /SWPG
 18.003  CALL         Sub Reset /SWPG
 18.004  SCPI         SYST:PRES
 18.005  HEAD
 18.006  END
