﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSP Characterize Power Splitter Tracking Errors
DATE:                  2011-06-15
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       109
STANDARD:              Agilent 11667A
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Various FSP models
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        Sub RIF/WIF Directory
#        Sub WIF Error
#        Sub Characterize Power Splitter /4419,8481,8482,SWPG
#
#  Required Files:
#        char_11667a_direct.jpg
#
#  Additional Equipment Required:
#        Splitter, Power, Range: 128 MHz to 3.6 GHz, Type N, 50 Ohms,
#          Insertion Loss: 6 dB, Port Tracking: <0.25 dB, Equivalent
#          Output SWR: <1.22; Agilent® 11667A
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         CREATE TEMPORARY INITIALIZATION FILE
  1.002  MATH         @FileName = "pwr_spltr_char.ini"
  1.003  CALL         Sub RIF/WIF Directory
  1.004  MATH         @IniFile = @RifWifDir & "\\" & @FileName
  1.005  MATH         @Section = "timestamp"
  1.006  MATH         @Parameter = "time"
  1.007  MATH         TimeStamp = UTIME()
  1.008  MATH         Insert = WIF(@IniFile, @Section, @Parameter, TimeStamp)

  1.009  IF           NOT(Insert)
  1.010  CALL         Sub WIF Error

  1.011  IF           @Error
  1.012  END
  1.013  ENDIF

  1.014  ENDIF

  1.015  MATH         @TestName = "Power Splitter Char"
  1.016  TARGET       -p
  1.017  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.018  PIC          char_11667a_direct.jpg
  1.019  MATH         @Section = "buried_power_preamp_off"; @RefLvl = -6
  1.020  MATH         @LoLimit = -6.02; @HiLimit = -5.98; @TestLvl = +1

  1.021  DISP         The next routine operator intervention
  1.021  DISP         occurs in approximately 2½ minutes...

  1.022  STD          Agilent 11667A

  1.023  MATH         @CenterFreq = 128E+6; @Chan = "A"
  1.024  CALL         Sub Characterize Power Splitter /4419,8481,8482,SWPG

  1.025  MATH         @CenterFreq = 400E+6
  1.026  CALL         Sub Characterize Power Splitter /4419,8481,8482,SWPG

  1.027  MATH         @CenterFreq = 500E+6
  1.028  CALL         Sub Characterize Power Splitter /4419,8481,8482,SWPG

  1.029  MATH         @CenterFreq = 600E+6
  1.030  CALL         Sub Characterize Power Splitter /4419,8481,8482,SWPG

  1.031  MATH         @CenterFreq = 700E+6
  1.032  CALL         Sub Characterize Power Splitter /4419,8481,8482,SWPG

  1.033  MATH         @CenterFreq = 800E+6
  1.034  CALL         Sub Characterize Power Splitter /4419,8481,8482,SWPG

  1.035  MATH         @CenterFreq = 900E+6
  1.036  CALL         Sub Characterize Power Splitter /4419,8481,8482,SWPG

  1.037  MATH         @CenterFreq = 1E+9
  1.038  CALL         Sub Characterize Power Splitter /4419,8481,8482,SWPG

  1.039  MATH         @CenterFreq = 1.5E+9
  1.040  CALL         Sub Characterize Power Splitter /4419,8481,8482,SWPG

  1.041  MATH         @CenterFreq = 2E+9
  1.042  CALL         Sub Characterize Power Splitter /4419,8481,8482,SWPG

  1.043  MATH         @CenterFreq = 2.5E+9
  1.044  CALL         Sub Characterize Power Splitter /4419,8481,8482,SWPG

  1.045  MATH         @CenterFreq = 2.99E+9
  1.046  CALL         Sub Characterize Power Splitter /4419,8481,8482,SWPG

  1.047  END
