﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSP Add'l Equipment Minimum Use Requirements
DATE:                  2011-06-21
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       274
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        FSP series
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           (@UUT_MaxFreq < 7E+9)
  1.002  MATH         Limit = 3
  1.003  ELSEIF       (@UUT_MaxFreq < 13E+9)
  1.004  MATH         Limit = 7
  1.005  ELSEIF       (@UUT_MaxFreq < 30E+9)
  1.006  MATH         Limit = 13
  1.007  ELSEIF       (@UUT_MaxFreq < 40E+9)
  1.008  MATH         Limit = 30
  1.009  ELSE
  1.010  MATH         Limit = 40
  1.011  ENDIF

  1.012  HEAD         FLEXIBLE STANDARDS
  1.013  MATH         LF = @LFCTR_Ch1

  1.014  IF           @Opt_B21
  1.015  DISP         The minimum use specifications of the following devices,
  1.015  DISP         configured as flexible standards, must be satisfied.
  1.015  DISP
  1.015  DISP         [32]NOMENCLATURE        ALIAS   DEVICE NAME
  1.015  DISP
  1.015  DISP         [32]Digital Multimeter  DMM    [V @DMM_DevName]
  1.015  DISP         [32]LF Counter          LFCTR  [V @LFCTR_DevName] [V LF]
  1.015  DISP         [32]Local Oscillator    LO     [V @LO_DevName]
  1.015  DISP         [32]Sweep Generator     SWPG   [V @SWPG_DevName]

  1.016  ELSE

  1.017  DISP         The minimum use specifications of the following devices,
  1.017  DISP         configured as flexible standards, must be satisfied.
  1.017  DISP
  1.017  DISP         [32]NOMENCLATURE        ALIAS   DEVICE NAME
  1.017  DISP
  1.017  DISP         [32]LF Counter          LFCTR  [V @LFCTR_DevName] [V LF]
  1.017  DISP         [32]Local Oscillator    LO     [V @LO_DevName]
  1.017  DISP         [32]Sweep Generator     SWPG   [V @SWPG_DevName]
  1.018  ENDIF

  1.019  HEAD         -2 (Synthesized) Sweep Generator (SWPG)
  1.020  OPBR         -z SWPG: [V @SWPG_DevName]
  1.020  OPBR
  1.020  OPBR         Minimum Use Specifications:
  1.020  OPBR         [32] Frequency Range: 10 MHz to [V Limit] GHz, CW
  1.020  OPBR         [32]   Accuracy:
  1.020  OPBR         [32]     Internal: ±1 ppm or better
  1.020  OPBR         [32]     External: Capable of being locked to an
  1.020  OPBR         [32]               external reference
  1.020  OPBR         [32]   Resolution: 1 Hz
  1.020  OPBR
  1.020  OPBR         [32] Amplitude Range: -20 dBm to +16 dBm
  1.020  OPBR         [32]   Accuracy: ±1 dB or less
  1.020  OPBR         [32]   Resolution: 0.01 dB
  1.020  OPBR
  1.020  OPBR         [32] Harmonic Level:
  1.020  OPBR         [32]   < -30 dBc
  1.020  OPBR
  1.020  OPBR         Does the [V @SWPG_DevName] satisfy the above Minimum
  1.020  OPBR         Use Specifications?
  1.021  MATH         SWPG = MEM1

  1.022  IF           (Limit < 30)
  1.023  HEAD         -2 Local Oscillator (LO)
  1.024  OPBR         -z LO: [V @LO_DevName]
  1.024  OPBR
  1.024  OPBR         Minimum Use Specifications:
  1.024  OPBR         [32] Frequency Range: 10 MHz to [V Limit] GHz, CW
  1.024  OPBR         [32]   Accuracy:
  1.024  OPBR         [32]     Internal: ±1 ppm or better
  1.024  OPBR         [32]     External: Capable of being locked to an
  1.024  OPBR         [32]               external reference
  1.024  OPBR         [32]   Resolution: 1 Hz
  1.024  OPBR
  1.024  OPBR         [32] Amplitude Range: -20 dBm to +13 dBm
  1.024  OPBR         [32]   Accuracy: ±1 dB or less
  1.024  OPBR         [32]   Resolution: 0.01 dB
  1.024  OPBR
  1.024  OPBR         [32] Harmonic Level:
  1.024  OPBR         [32]   < -30 dBc
  1.024  OPBR
  1.024  OPBR         Does the [V @LO_DevName] satisfy the above Minimum
  1.024  OPBR         Use Specifications?

  1.025  ELSE

  1.026  HEAD         -2 µW Signal Generator (UWSG)
  1.027  OPBR         -z UWSG: [V @UWSG_DevName]
  1.027  OPBR
  1.027  OPBR         Minimum Use Specifications:
  1.027  OPBR         [32] Frequency Range: 10 MHz to [V Limit] GHz, CW
  1.027  OPBR         [32]   Accuracy:
  1.027  OPBR         [32]     Internal: ±1 ppm or better
  1.027  OPBR         [32]     External: Capable of being locked to an
  1.027  OPBR         [32]               external reference
  1.027  OPBR         [32]   Resolution: 1 Hz
  1.027  OPBR
  1.027  OPBR         [32] Amplitude Range: -20 dBm to +13 dBm
  1.027  OPBR         [32]   Accuracy: ±1 dB or less
  1.027  OPBR         [32]   Resolution: 0.01 dB
  1.027  OPBR
  1.027  OPBR         [32] Harmonic Level:
  1.027  OPBR         [32]   < -30 dBc
  1.027  OPBR
  1.027  OPBR         Does the [V @UWSG_DevName] satisfy the above Minimum
  1.027  OPBR         Use Specifications?
  1.028  ENDIF

  1.029  MATH         SigGen = MEM1

  1.030  HEAD         -2 LF Counter (LFCTR)
  1.031  OPBR         -z LFCTR: [V @LFCTR_DevName]
  1.031  OPBR
  1.031  OPBR         Minimum Use Specifications:
  1.031  OPBR         [32] [V LF] Frequency Range: 10 MHz
  1.031  OPBR         [32]   Accuracy: ±0.045 ppm or better
  1.031  OPBR
  1.031  OPBR         Does the [V @LFCTR_DevName] satisfy the above Minimum
  1.031  OPBR         Use Specifications?
  1.032  MATH         LFCTR = MEM1

  1.033  IF           @Opt_B21
  1.034  HEAD         -2 Digital Multimeter (DMM)
  1.035  OPBR         -z DMM: [V @DMM_DevName]
  1.035  OPBR
  1.035  OPBR         Minimum Use Specifications:
  1.035  OPBR         [32] DC Current Function
  1.035  OPBR         [32]   Range: 0 to ±10 mA
  1.035  OPBR         [32]   Accuracy: ±(4% + 0.25 mA) or better
  1.035  OPBR
  1.035  OPBR         Does the [V @DMM_DevName] satisfy the above Minimum
  1.035  OPBR         Use Specifications?
  1.036  MATH         DMM = MEM1
  1.037  ELSE
# Default to true if DMM not required to satisfy subsequent logic.
  1.038  MATH         DMM = 1
  1.039  ENDIF

  1.040  HEAD         -2

  1.041  IF           NOT(SWPG)
  1.042  DISP         Currently configured SWPG (Sweep Generator):
  1.042  DISP
  1.042  DISP         [32][V @SWPG_DevName]
  1.042  DISP
  1.042  DISP         does not satisfy procedure Minimum Use Specifications.
  1.043  ENDIF

  1.044  IF           NOT(SigGen)

  1.045  IF           (Limit < 30)
  1.046  DISP         Currently configured LO (Local Oscillator):
  1.046  DISP
  1.046  DISP         [32][V @LO_DevName]
  1.046  DISP
  1.046  DISP         does not satisfy procedure Minimum Use Specifications.

  1.047  ELSE

  1.048  DISP         Currently configured UWSG (µW Signal Generator):
  1.048  DISP
  1.048  DISP         [32][V @UWSG_DevName]
  1.048  DISP
  1.048  DISP         does not satisfy procedure Minimum Use Specifications.
  1.049  ENDIF

  1.050  ENDIF

  1.051  IF           NOT(LFCTR)
  1.052  DISP         Currently configured LFCTR (LF Counter):
  1.052  DISP
  1.052  DISP         [32][V @LFCTR_DevName]
  1.052  DISP
  1.052  DISP         does not satisfy procedure Minimum Use Specifications.
  1.053  ENDIF

  1.054  IF           NOT(DMM)
  1.055  DISP         Currently configured DMM (Digital Multimeter):
  1.055  DISP
  1.055  DISP         [32][V @DMM_DevName]
  1.055  DISP
  1.055  DISP         does not satisfy procedure Minimum Use Specifications.
  1.056  ENDIF

  1.057  IF           NOT(SWPG) || NOT(SigGen) || NOT(LFCTR) || NOT(DMM)
  1.058  HEAD         FLEXIBLE STANDARD(S) UNSATISFACTORY FOR PROCEDURE USE!
  1.059  DISP         Flexible Standard(s) currently configured for use with
  1.059  DISP         this procedure have been identified as not satisfying
  1.059  DISP         the Minimum Use Specifications.
  1.059  DISP
  1.059  DISP         Select "Advance" to abort procedure, configure suitable
  1.059  DISP         device(s) to replace those identified, then restart the
  1.059  DISP         procedure from the beginning.
  1.060  MATH         @Abort = 1
  1.061  END
  1.062  ENDIF

  1.063  OPBR         -z Do you want to REVIEW the list of additional
  1.063  OPBR         equipment and/or accessories required?

  1.064  IF           MEM1

  1.065  HEAD         ADDITIONAL EQUIPMENT/ACCESSORIES REQUIRED
  1.066  HEAD         -2 Additional Equipment: Page 1 of 2
  1.067  DISP         Power Splitter:
  1.067  DISP         - Frequency : 3 GHz to [V Limit] GHz
  1.067  DISP         - VSWR, 3 GHz to [V Limit] GHz : <= 1.22
  1.067  DISP         - Tracking Error : < ±0.25 dB
  1.067  DISP         - Impedance : 50 Ohms
  1.067  DISP         - Connectors : 3.5 mm
  1.067  DISP         Agilent® 11667A
  1.067  DISP
  1.067  DISP         10 dB Fixed Attenuator (2 ea.):
  1.067  DISP         - Frequency : 50 MHz to [V Limit] GHz
  1.067  DISP         - VSWR : <= 1.2
  1.067  DISP         - Connectors : Type N (m/f)
  1.067  DISP         Agilent 8491A Opt 010 or equivalent
  1.067  DISP
  1.067  DISP         Termination:
  1.067  DISP         - Frequency : DC to [V Limit] GHz
  1.067  DISP         - Impedance : 50 Ohms
  1.067  DISP         - Connector : Type N (m)
  1.067  DISP         Agilent 909C or equivalent

  1.068  HEAD         -2 Adapters and Cables: Page 2 of 2
  1.069  DISP         - Adapter, 3.5 mm (f) - 3.5 mm (f), 50 Ohms, DC to
  1.069  DISP         [32] 34 GHz, VSWR: 1.15; Agilent 1250-1749 or equivalent
  1.069  DISP         - Adapter, Type N (f) - 3.5 mm (m), 50 Ohms, DC to
  1.069  DISP         [32] 18 GHz, VSWR: 1.14; Agilent 1250-1750 or equivalent
  1.069  DISP         - Adapter, Type N (m)-(m), 50 Ohms, DC to 18 GHz,
  1.069  DISP         [32] VSWR: 1.13; Agilent 1250-1475 or equivalent
  1.069  DISP         - Tee, BNC (f)-(m)-(f), 50 Ohms; Agilent 1250-0781 or
  1.069  DISP         [32] equivalent
  1.069  DISP         - Cable assy., Precision, Type N (m)-(m), DC to 18 GHz,
  1.069  DISP         [32] 50 Ohms, 36", 2 ea.; Pasternack PE302-36 or
  1.069  DISP         [32] equivalent
  1.069  DISP         - Cable assy., BNC (m)-(m), 50 Ohms, 36", 2 ea.
  1.070  ENDIF

  1.071  HEAD         -2
  1.072  HEAD
  1.073  END
