﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSP Set Configuration Variables
DATE:                  2011-05-24
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       247
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSP series
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
#  This procedure defines variables to describe the UUT family fitted options,
#  and combinations thereof, for use at runtime to select the desired tests or
#  specifications for the exact configuration of the UUT being verified. It
#  also lists the fitted options to the results.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# For brevity, set flags to identify model numbers.
  1.001  MATH         @FSP3  = FIND(@ModelNum, "FSP-3",  1)
  1.002  MATH         @FSP7  = FIND(@ModelNum, "FSP-7",  1)
  1.003  MATH         @FSP13 = FIND(@ModelNum, "FSP-13", 1)
  1.004  MATH         @FSP30 = FIND(@ModelNum, "FSP-30", 1)
  1.005  MATH         @FSP31 = FIND(@ModelNum, "FSP-31", 1)
  1.006  MATH         @FSP40 = FIND(@ModelNum, "FSP-40", 1)

  1.007  SCPI         SYST:LANG?[I$]
  1.008  MATH         @Language = MEM2

# If original language setting is not SCPI, set UUT to SCPI.
  1.009  IF           NOT(ZCMPI(@Language, "'SCPI'"))
  1.010  SCPI         SYST:LANG 'SCPI'
  1.011  ENDIF

# Due to the fact that some specifications, e.g., Phase Noise, differ based
# on the UUT serial number, this statement parses the serial number from the
# model frequency suffix, e.g., 200585/026, to facilitate test decisions
# within applicable procedures.
  1.012  MATH         @SN = FLD(@SerialNum, 1, "/")

  1.013  RSLT         =
  1.014  HEAD         {INSTALLED OPTIONS}
  1.015  RSLT         =
  1.016  SCPI         *OPT?[I$]
  1.017  MATH         Options = MEM2

# Initialize variable (no options installed).
  1.018  MATH         Option = 0
# Extract installed option codes from ID string.
  1.019  MATH         @Opt_B3   = ZCMPI("B3",   FLD(Options,  1, ","))
  1.020  MATH         @Opt_B4   = ZCMPI("B4",   FLD(Options,  2, ","))
  1.021  MATH         @Opt_B6   = ZCMPI("B6",   FLD(Options,  4, ","))
  1.022  MATH         @Opt_B9   = ZCMPI("B9",   FLD(Options,  7, ","))
  1.023  MATH         @Opt_B10  = ZCMPI("B10",  FLD(Options,  8, ","))
  1.024  MATH         @Opt_B15  = ZCMPI("B15",  FLD(Options, 13, ","))
  1.025  MATH         @Opt_B16  = ZCMPI("B16",  FLD(Options, 14, ","))
  1.026  MATH         @Opt_B29  = ZCMPI("B29",  FLD(Options, 17, ","))
  1.027  MATH         @Opt_B21  = ZCMPI("B21",  FLD(Options, 19, ","))
  1.028  MATH         @Opt_B25  = ZCMPI("B25",  FLD(Options, 23, ","))
  1.029  MATH         @Opt_K74  = ZCMPI("K74",  FLD(Options, 24, ","))
  1.030  MATH         @Opt_K76  = ZCMPI("K76",  FLD(Options, 26, ","))
  1.031  MATH         @Opt_K30  = ZCMPI("K30",  FLD(Options, 28, ","))
  1.032  MATH         @Opt_K40  = ZCMPI("K40",  FLD(Options, 29, ","))
  1.033  MATH         @Opt_K5   = ZCMPI("K5",   FLD(Options, 30, ","))
  1.034  MATH         @Opt_K77  = ZCMPI("K77",  FLD(Options, 31, ","))
  1.035  MATH         @Opt_K7   = ZCMPI("K7",   FLD(Options, 32, ","))
  1.036  MATH         @Opt_K8   = ZCMPI("K8",   FLD(Options, 33, ","))
  1.037  MATH         @Opt_K9   = ZCMPI("K9",   FLD(Options, 34, ","))
  1.038  MATH         @Opt_K72  = ZCMPI("K72",  FLD(Options, 35, ","))
  1.039  MATH         @Opt_K73  = ZCMPI("K73",  FLD(Options, 36, ","))
  1.040  MATH         @Opt_K82  = ZCMPI("K82",  FLD(Options, 38, ","))
  1.041  MATH         @Opt_K83  = ZCMPI("K83",  FLD(Options, 39, ","))
  1.042  MATH         @Opt_K84  = ZCMPI("K84",  FLD(Options, 40, ","))
  1.043  MATH         @Opt_K85  = ZCMPI("K85",  FLD(Options, 41, ","))
  1.044  MATH         @Opt_K86  = ZCMPI("K86",  FLD(Options, 42, ","))
  1.045  MATH         @Opt_K90  = ZCMPI("K90",  FLD(Options, 43, ","))
  1.046  MATH         @Opt_B70  = ZCMPI("B70",  FLD(Options, 46, ","))

  1.047  IF           @Opt_B3
  1.048  RSLT         = FSP-B3   (AM/FM Audio Demodulator)
  1.049  MATH         Option = 1
  1.050  ENDIF

  1.051  IF           @Opt_B4
  1.052  RSLT         = FSP-B4   (OCXO, 10 MHz)
  1.053  MATH         Option = 1
  1.054  ENDIF

  1.055  IF           @Opt_B6
  1.056  RSLT         = FSP-B6   (TV/RF Power Trigger)
  1.057  MATH         Option = 1
  1.058  ENDIF

  1.059  IF           @Opt_B9
  1.060  RSLT         = FSP-B9   (Tracking Generator, 9 kHz to 3 GHz)
  1.061  MATH         Option = 1
  1.062  ENDIF

  1.063  IF           @Opt_B10
  1.064  RSLT         = FSP-B10  (External Generator Control)
  1.065  MATH         Option = 1
  1.066  ENDIF

  1.067  IF           @Opt_B15
  1.068  RSLT         = FSP-B15  (Broadband Calibration Source)
  1.069  MATH         Option = 1
  1.070  ENDIF

  1.071  IF           @Opt_B16
  1.072  RSLT         = FSP-B16  (LAN Interface)
  1.073  MATH         Option = 1
  1.074  ENDIF

  1.075  IF           @Opt_B21
  1.076  RSLT         = FSP-B21  (External Mixer Support)
  1.077  MATH         Option = 1
  1.078  ENDIF

  1.079  IF           @Opt_B25
  1.080  RSLT         = FSP-B25  (Electronic Attenuator)
  1.081  MATH         Option = 1
  1.082  ENDIF

  1.083  IF           @Opt_B29
  1.084  RSLT         = FSP-B29  (20 Hz Frequency Extension)
  1.085  MATH         Option = 1
  1.086  ENDIF

  1.087  IF           @Opt_B70
  1.088  RSLT         = FSP-B70  (FSP Demodulator for WCDMA BTS Measurements)
  1.089  MATH         Option = 1
  1.090  ENDIF

  1.091  IF           @Opt_K5
  1.092  RSLT         = FS-K5    (GSM-GSM/EDGE Application)
  1.093  MATH         Option = 1
  1.094  ENDIF

  1.095  IF           @Opt_K7
  1.096  RSLT         = FS-K7    (FM Measurement Demodulator)
  1.097  MATH         Option = 1
  1.098  ENDIF

  1.099  IF           @Opt_K8
  1.100  RSLT         = FS-K8    (Bluetooth® Transmitter Measurement)
  1.101  MATH         Option = 1
  1.102  ENDIF

  1.103  IF           @Opt_K9
  1.104  RSLT         = FS-K9    (Power Sensor Measurements)
  1.105  MATH         Option = 1
  1.106  ENDIF

  1.107  IF           @Opt_K30
  1.108  RSLT         = FS-K30   (Noise Figure and Gain Measurements)
  1.109  MATH         Option = 1
  1.110  ENDIF

  1.111  IF           @Opt_K40
  1.112  RSLT         = FS-K40   (Phase Noise Measurement)
  1.113  MATH         Option = 1
  1.114  ENDIF

  1.115  IF           @Opt_K72
  1.116  RSLT         = FS-K72   (3GPP BTS/Node B FDD Application)
  1.117  MATH         Option = 1
  1.118  ENDIF

  1.119  IF           @Opt_K73
  1.120  RSLT         = FS-K73   (3GPP UE FDD Application)
  1.121  MATH         Option = 1
  1.122  ENDIF

  1.123  IF           @Opt_K74
  1.124  RSLT         = FS-K74   (3GPP HSDPA BTS Application)
  1.125  MATH         Option = 1
  1.126  ENDIF

  1.127  IF           @Opt_K76
  1.128  RSLT         = FS-K76   (3GPP TD-SCDMA BTS Application)
  1.129  MATH         Option = 1
  1.130  ENDIF

  1.131  IF           @Opt_K77
  1.132  RSLT         = FS-K77   (3GPP TD-SCDMA UE Application)
  1.133  MATH         Option = 1
  1.134  ENDIF

  1.135  IF           @Opt_K82
  1.136  RSLT         = FS-K82   (CDMA2000® /1xEV-DV BTS Application)
  1.137  MATH         Option = 1
  1.138  ENDIF

  1.139  IF           @Opt_K83
  1.140  RSLT         = FS-K83   (CDMA2000®/1xEV-DV MS Application)
  1.141  MATH         Option = 1
  1.142  ENDIF

  1.143  IF           @Opt_K84
  1.144  RSLT         = FS-K84   (CDMA2000®/1xEV-DO BTS Application)
  1.145  MATH         Option = 1
  1.146  ENDIF

  1.147  IF           @Opt_K85
  1.148  RSLT         = FS-K85   (CDMA2000®/1xEV-DO MS Application)
  1.149  MATH         Option = 1
  1.150  ENDIF

  1.151  IF           @Opt_K86
  1.152  RSLT         = FS-K86   (CDMA2000®/1xEV-DV MS Application)
  1.153  MATH         Option = 1
  1.154  ENDIF

  1.155  IF           @Opt_K90
  1.156  RSLT         = FSP-K90  (WLAN 802.11a TX Application)
  1.157  MATH         Option = 1
  1.158  ENDIF

  1.159  IF           NOT(Option)
  1.160  RSLT         = No Options Installed
  1.161  ENDIF

  1.162  END
